/*
 * Copyright 2005, 2006 University of Leiden.
 *
 * This file is part of MIA+EWS.
 *
 * MIA+EWS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MIA+EWS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MIA; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: SOURCE.orig.h,v 1.3 2002/05/08 21:24:47 jdejong Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jdejong 2002-05-08  imported
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */
 /*----------------------------------------------------------------------- */
/* Definition of SOURCE table                                             */
/*----------------------------------------------------------------------- */
/* types defined in #include "fitsio.h" */

/* table type */
char* extname="SOURCE";

int nkey = 2;
char* keywords[] ={
"REVISION","NBANDS"
};
int keytype[] = {
TINT,TINT
};
char* keycom[] = {
  "Revision number of table format",
  "Maximum number of bands for flux densities"
};
int  ncol = 19;
char* coltype[] = {
    "SOURCE_ID","SOURCE","CALCODE",
    "IFLUX","QFLUX","UFLUX","VFLUX","FREQ",
    "RAEPP","DECEPP","EQUINOX","RAPP","DECAPP",
    "SYSVEL","VELTYPE","VELDEF",
    "PMRA","PMDEC","PARALLAX"
}; 
long colcount[] = {
    1,16,4,
    1,1,1,1,1,
    1,1,8,1,1,
    1,8,8,
    1,1,1
};
int coldatatype[] = {
 TINT,TSTRING,TSTRING,
  TFLOAT,TFLOAT,TFLOAT,TFLOAT,TDOUBLE,
  TDOUBLE,TDOUBLE,TSTRING,TDOUBLE,TDOUBLE,
  TDOUBLE,TSTRING,TSTRING,
  TDOUBLE,TDOUBLE,TFLOAT
/* goddamn debugging FITSIO 
  TINT,TFLOAT,TFLOAT,
  TFLOAT,TFLOAT,TFLOAT,TFLOAT,TDOUBLE,
  TDOUBLE,TDOUBLE,TFLOAT,TDOUBLE,TDOUBLE,
  TDOUBLE,TFLOAT,TFLOAT,
  TDOUBLE,TDOUBLE,TFLOAT*/
};
char* colunits[] = {
  "  ","  "," ",
  "JY","JY","JY","JY","HZ",
  "DEGREE","DEGREE","  ","DEGREE","DEGREE",
  "METER/S","  ","  ",
  "DEGREE/DAY","DEGREE/DAY","ARCSEC"
};
char* coldim[] = {
  "  ","  ","  ",
  "  ","  ","  ","  ","  ",
  "  ","  ","  ","  ","  ",
  "  ","  ","  ",
  "  ","  ","  ",
};
/* */
